5 comments
Comment actions Permalink
Official comment

Please get the latest 3.3, which is 3.3.5 - https://www.jetbrains.com/mps/download/

Vaclav

 

Comment actions Permalink

@vaclav: Thanks for your reply, but we modified "MPS 3.3.1" to build our ide. Is it possible to remain in "MPS 3.3.1" and get the fix in the form of a patch?

0
Comment actions Permalink

To my understanding this would not be easily achievable, since the patch involves quite a lot areas in the underlying IntelliJ platform as well as in MPS itself. I'm afraid only the developers familiar with the particular vulnerability and the required fixes would be able to do the required modifications.

Vaclav

 

0
Comment actions Permalink

Does the source code available in the git repository for the branch MPS3.3 contains the fix?

0
Comment actions Permalink

The source code with the fix will be available in open-source repository soon. 

Currently we are sending private patches only to those who build MPS-based solution for the production. Please contact me directly in case you need it.

0

Please sign in to leave a comment.